Bug 287346 - Proxy setting is reset to empty if the host is not valid
Summary: Proxy setting is reset to empty if the host is not valid
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 0.0.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-23 08:36 UTC by András Manţia
Modified: 2011-11-25 15:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2011-11-23 08:36:30 UTC
Version:           0.0.1 (using Devel) 
OS:                Linux

Enter localhost, port 8118 for proxy, close the dialog, open it again: the proxy is reset to empty string, port 0. http://localhost or 127.0.0.1 works.
The setting page should warn if the proxy name is not valid, but it certainly should not accept silently and reset the fields behind the back of the user.

Reproducible: Always


Actual Results:  
  

Expected Results:  
 

OS: Linux (x86_64) release 3.1.0-1.2-desktop
Compiler: gcc
Comment 1 Dawit Alemayehu 2011-11-25 15:53:33 UTC
Git commit 258df4b69f11912d8cb09aef0d10f0745c219b0e by Dawit Alemayehu.
Committed on 25/11/2011 at 16:49.
Pushed by adawit into branch 'master'.

- Save and restore invalid host name enties for manual proxy configuration.
- Properly save and restore the display flag state for showing protocol
  in the manual proxy configuration edits.

BUG:287346

M  +57   -35   konqueror/settings/kio/kproxydlg.cpp

http://commits.kde.org/kde-baseapps/258df4b69f11912d8cb09aef0d10f0745c219b0e